DECLARE
-- Insert Channel Procedure
PROCEDURE test_create_ch_vo_share(
                            n    T_CHANNEL_VO_SHARE.CHANNEL_NAME%TYPE,
                            v    T_CHANNEL_VO_SHARE.VO_NAME%TYPE,
                            s    T_CHANNEL_VO_SHARE.CHANNEL_SHARE%TYPE,
                            l    T_CHANNEL_VO_SHARE.CHANNEL_LIMIT%TYPE DEFAULT NULL,
                            vs   T_CHANNEL_VO_SHARE.CHANNEL_VOSTATE%TYPE DEFAULT NULL)
IS                            
BEGIN
    INSERT INTO t_channel_vo_share(channel_name,vo_name,channel_share,channel_limit,channel_vostate) 
        VALUES (n,v,s,l,vs);
END;

-- Main
BEGIN
	-- Set Records
    test_create_ch_vo_share('channel_1' ,'VO_1'         ,10);
    test_create_ch_vo_share('channel_1' ,'VO_2'         ,10);
    test_create_ch_vo_share('channel_2' ,'VO_1'         ,10);
    test_create_ch_vo_share('channel_2' ,'VO_2'         ,10);
    test_create_ch_vo_share('channel_3' ,'ALLOCATE_VO_1',10);
    test_create_ch_vo_share('channel_5' ,'ALLOCATE_VO_1',10);
    test_create_ch_vo_share('channel_7' ,'ALLOCATE_VO_1',10);
    test_create_ch_vo_share('channel_8' ,'ALLOCATE_VO_1',10,NULL,'OFF');
    test_create_ch_vo_share('channel_9' ,'ALLOCATE_VO_1',10,NULL,'PAUSE');
	test_create_ch_vo_share('channel_10','ALLOCATE_VO_2',10);
    test_create_ch_vo_share('channel_11','ALLOCATE_VO_2',10);
    test_create_ch_vo_share('channel_12','ALLOCATE_VO_2',10);
    test_create_ch_vo_share('channel_3','ALLOCATE_VO_BUGS',10);
    test_create_ch_vo_share('ACTIVETXCACHE_channel_1','VO1',10);
    test_create_ch_vo_share('ACTIVETXCACHE_channel_1','VO2',10);
    test_create_ch_vo_share('CHECKSTATE_channel_1'   ,'VO1',10);
    test_create_ch_vo_share('CHECKSTATE_channel_1'   ,'VO2',10);
    test_create_ch_vo_share('FETCH_channel_1'        ,'VO_1',50);
    test_create_ch_vo_share('FETCH_channel_1'        ,'VO_2',50);
    test_create_ch_vo_share('FETCH_channel_3'        ,'VO_1',50,5,'ON');
    test_create_ch_vo_share('FETCH_channel_3'        ,'VO_2',20,5,'PAUSE');
    test_create_ch_vo_share('FETCH_channel_3'        ,'VO_3',20,1,'OFF');
    test_create_ch_vo_share('FETCH_channel_3'        ,'VO_4',10,0,'ON');
    test_create_ch_vo_share('FETCH_channel_4'        ,'VO_1',10,0,'ON');
    test_create_ch_vo_share('FETCH_channel_4'        ,'VO_2',10,0,'ON');
    test_create_ch_vo_share('FETCH_channel_5'        ,'VO_1',10,0,'ON');
    test_create_ch_vo_share('FETCH_channel_6'        ,'VO_1',100,0,'ON');
    test_create_ch_vo_share('FETCH_channel_6'        ,'VO_2',100,0,'ON');
    test_create_ch_vo_share('CANCELACTIVE_channel_1' ,'VO_1',10);
    test_create_ch_vo_share('CHANNELCACHE_channel_1','CHANNELCACHE_VO_1' ,10);
    test_create_ch_vo_share('CHANNELCACHE_channel_2','CHANNELCACHE_VO_1' ,10);
    test_create_ch_vo_share('CHANNELCACHE_channel_3','CHANNELCACHE_VO_1' ,10);
    test_create_ch_vo_share('CHANNELCACHE_channel_4','CHANNELCACHE_VO_1' ,10);
    test_create_ch_vo_share('CHANNELCACHE_channel_5','CHANNELCACHE_VO_1' ,10);
END;
/
