DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE,
                            l    T_FILE.LOGICAL_NAME%TYPE)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,logical_name) 
        VALUES (f,j,st,src,dst,fl,l);
END;

-- Main
BEGIN
	-- Set Records
    test_create_file(10000001,'10000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000002,'10000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000003,'10000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000004,'10000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000005,'10000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000006,'10000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000007,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000008,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000009,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000010,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000011,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000012,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000013,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000014,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000015,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000016,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000017,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000018,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000019,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000020,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000021,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000022,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000023,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000024,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000025,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000026,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000027,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000028,'10000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000001,'20000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000002,'20000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000003,'20000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000004,'20000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000005,'20000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000006,'20000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000007,'20000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000008,'20000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000009,'20000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000010,'20000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000011,'20000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000012,'20000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000013,'20000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000014,'20000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000015,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000016,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000017,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000018,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000019,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000020,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000021,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000022,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000023,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000024,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000025,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000026,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000027,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000028,'20000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(30000001,'30000000-0000-0000-0000-000000000001','Done'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(40000001,'40000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(40000002,'40000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000001,'11000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000002,'11000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000003,'11000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000004,'11000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000005,'11000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000006,'11000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000007,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000008,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000009,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000010,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000011,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000012,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000013,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000014,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000015,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000016,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000017,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000018,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000019,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000020,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000021,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000022,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000023,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000024,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000025,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000026,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000027,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(11000028,'11000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000001,'21000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000002,'21000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000003,'21000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000004,'21000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000005,'21000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000006,'21000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000007,'21000000-0000-0000-0000-000000000002','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000008,'21000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000009,'21000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000010,'21000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000011,'21000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000012,'21000000-0000-0000-0000-000000000003','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000013,'21000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000014,'21000000-0000-0000-0000-000000000003','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000015,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000016,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000017,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000018,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000019,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000020,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000021,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000022,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000023,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000024,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000025,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000026,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000027,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(21000028,'21000000-0000-0000-0000-000000000004','Ready'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(31000001,'31000000-0000-0000-0000-000000000001','Done'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(41000001,'41000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(41000002,'41000000-0000-0000-0000-000000000001','Active' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
END;
/
