DECLARE
-- Insert Channel Procedure
PROCEDURE test_create_site_group(
                            s    T_SITE_GROUP.SITE_NAME%TYPE,
                            g    T_SITE_GROUP.GROUP_NAME%TYPE,
                            p    T_SITE_GROUP.PRIORITY%TYPE DEFAULT 3)
IS                            
BEGIN
    INSERT INTO t_site_group(site_name,group_name,priority)
        VALUES (s,g,p);
END;

-- Main
BEGIN
	-- Set Records
	test_create_site_group('SITE.CERN.CH'   ,'[Tier0]');
	test_create_site_group('SITE.INFN.IT'   ,'[Tier1]');
	test_create_site_group('SITE.IN2P3.FR'  ,'[Tier1]');
	test_create_site_group('SITE.FNAL.GOV'  ,'[Tier1]');
	test_create_site_group('SITE.BNL.GOV'   ,'[Tier1]');
	test_create_site_group('SITE.RAL.AC.UK' ,'[Tier1]');
	test_create_site_group('SITE.DESY.DE'   ,'[Tier2]');
	test_create_site_group('SITE.CATANIA.IT','[Tier2]');
	test_create_site_group('SITE.PISA.IT'   ,'[Tier2]');
	test_create_site_group('SITE.CERN.CH'   ,'[Grid-CH]');
	test_create_site_group('SITE.INFN.IT'   ,'[Grid-IT]');
	test_create_site_group('SITE.CATANIA.IT','[Grid-IT]');
	test_create_site_group('SITE.PISA.IT'   ,'[Grid-IT]');
	test_create_site_group('SITE.IN2P3.FR'  ,'[Grid-FR]');
	test_create_site_group('SITE.RAL.AC.UK' ,'[Grid-UK]');
	test_create_site_group('SITE.FNAL.GOV'  ,'[Grid-US]');
	test_create_site_group('SITE.BNL.GOV'   ,'[Grid-US]');
	test_create_site_group('SITE.DESY.DE'   ,'[Grid-D]');
    
END;
/
