DECLARE
-- Insert Transfer Procedure
PROCEDURE test_create_transfer(
                            r    T_TRANSFER.REQUEST_ID%TYPE,
                            f    T_TRANSFER.FILE_ID%TYPE,
                            t    T_TRANSFER.TRANSFER_ID%TYPE,
                            st   T_TRANSFER.TRANSFER_STATE%TYPE,
                            tm   T_TRANSFER.TRANSFER_TIME%TYPE, 
                            d    T_TRANSFER.DURATION%TYPE)
IS
    j_id  T_TRANSFER.JOB_ID%TYPE;                          
BEGIN
    SELECT T_FILE.JOB_ID into j_id FROM T_FILE WHERE T_FILE.FILE_ID = f;
    INSERT INTO t_transfer(request_id,file_id,transfer_id,job_id,transfer_state,transfer_time,duration) 
        VALUES (r,f,t,j_id,st,tm,d);
END;

-- Main
BEGIN
	-- Set Records
    test_create_transfer('10001',10000001,0,'Processing',NULL,NULL);
    test_create_transfer('10002',10000002,0,'Processing',NULL,NULL);
    test_create_transfer('10003',10000003,0,'Processing',NULL,NULL);
    test_create_transfer('10004',10000004,0,'Processing',NULL,NULL);
    test_create_transfer('10005',10000005,0,'Processing',NULL,NULL);
    test_create_transfer('10006',10000006,0,'Processing',NULL,NULL);
    test_create_transfer('20001',20000001,0,'Processing',NULL,NULL);
    test_create_transfer('20002',20000002,0,'Processing',NULL,NULL);
    test_create_transfer('20003',20000003,0,'Processing',NULL,NULL);
    test_create_transfer('20004',20000004,0,'Processing',NULL,NULL);
    test_create_transfer('20005',20000005,0,'Processing',NULL,NULL);
    test_create_transfer('20006',20000006,0,'Processing',NULL,NULL);
    test_create_transfer('20007',20000007,0,'Processing',NULL,NULL);
    test_create_transfer('20008',20000008,0,'Processing',NULL,NULL);
    test_create_transfer('20009',20000009,0,'Processing',NULL,NULL);
    test_create_transfer('20010',20000010,0,'Processing',NULL,NULL);
    test_create_transfer('20011',20000011,0,'Processing',NULL,NULL);
    test_create_transfer('20012',20000012,0,'Processing',NULL,NULL);
    test_create_transfer('30001',30000001,0,'Completed' ,NULL,NULL);
    test_create_transfer('40001',40000001,0,'Processing',NULL,NULL);
    test_create_transfer('40002',40000002,0,'Processing',NULL,NULL);
    test_create_transfer('11001',11000001,0,'Processing',NULL,NULL);
    test_create_transfer('11002',11000002,0,'Processing',NULL,NULL);
    test_create_transfer('11003',11000003,0,'Processing',NULL,NULL);
    test_create_transfer('11004',11000004,0,'Processing',NULL,NULL);
    test_create_transfer('11005',11000005,0,'Processing',NULL,NULL);
    test_create_transfer('11006',11000006,0,'Processing',NULL,NULL);
    test_create_transfer('21001',21000001,0,'Processing',NULL,NULL);
    test_create_transfer('21002',21000002,0,'Processing',NULL,NULL);
    test_create_transfer('21003',21000003,0,'Processing',NULL,NULL);
    test_create_transfer('21004',21000004,0,'Processing',NULL,NULL);
    test_create_transfer('21005',21000005,0,'Processing',NULL,NULL);
    test_create_transfer('21006',21000006,0,'Processing',NULL,NULL);
    test_create_transfer('21007',21000007,0,'Processing',NULL,NULL);
    test_create_transfer('21008',21000008,0,'Processing',NULL,NULL);
    test_create_transfer('21009',21000009,0,'Processing',NULL,NULL);
    test_create_transfer('21010',21000010,0,'Processing',NULL,NULL);
    test_create_transfer('21011',21000011,0,'Processing',NULL,NULL);
    test_create_transfer('21012',21000012,0,'Processing',NULL,NULL);
    test_create_transfer('31001',31000001,0,'Completed' ,NULL,NULL);
    test_create_transfer('41001',41000001,0,'Processing',NULL,NULL);
    test_create_transfer('41002',41000002,0,'Processing',NULL,NULL);
END;
/
