DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE,
                            l    T_FILE.LOGICAL_NAME%TYPE)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,logical_name) 
        VALUES (f,j,st,src,dst,fl,l);
END;

-- Main
BEGIN
	-- Set Records
    test_create_file(10000001,'10000000-0000-0000-0000-000000000001','Ready' ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(10000002,'10000000-0000-0000-0000-000000000001','Ready' ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000001,'20000000-0000-0000-0000-000000000001','Ready' ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000002,'20000000-0000-0000-0000-000000000001','Ready' ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000003,'20000000-0000-0000-0000-000000000002','Ready' ,'srm://host.cern.ch:8443/tmp/this-one-no.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
    test_create_file(20000004,'20000000-0000-0000-0000-000000000002','Ready' ,'srm://host.cern.ch:8443/tmp/this-one-no.txt','srm://host.infn.it:8443/tmp/dst.txt',NULL,NULL);
END;
/
