DECLARE
-- Insert Job Procedure
PROCEDURE test_create_job(
                            j    T_JOB.JOB_ID%TYPE,
                            st   T_JOB.JOB_STATE%TYPE,
                            dn   T_JOB.USER_DN%TYPE, 
                            cr   T_JOB.USER_CRED%TYPE,
                            vo   T_JOB.VO_NAME%TYPE, 
                            ch   T_JOB.CHANNEL_NAME%TYPE,
                            src  T_JOB.SOURCE%TYPE, 
                            dst  T_JOB.DEST%TYPE)
IS                            
BEGIN
    INSERT INTO t_job(job_id,job_state,user_dn,user_cred,vo_name,channel_name,source,dest) 
        VALUES (j,st,dn,cr,vo,ch,src,dst);
END;

-- Main
BEGIN
    -- Set Records
    test_create_job('10000000-0000-0000-0000-000000000001','Ready' ,'DN','MyCred','VO13724_1','channel13724_1',NULL,NULL);
    test_create_job('20000000-0000-0000-0000-000000000001','Ready' ,'DN','MyCred','VO13724_1','channel13724_2',NULL,NULL);
    test_create_job('20000000-0000-0000-0000-000000000002','Ready' ,'DN','MyCred','VO13724_1','channel13724_2',NULL,NULL);
END;
/
