DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE DEFAULT NULL,
                            cf   T_FILE.CURRENT_FAILURES%TYPE DEFAULT NULL,
                            ctf  T_FILE.CATALOG_FAILURES%TYPE DEFAULT NULL,
                            l    T_FILE.LOGICAL_NAME%TYPE DEFAULT NULL,
                            r    T_FILE.REASON_CLASS%TYPE DEFAULT NULL,
                            rs   T_FILE.REASON%TYPE DEFAULT NULL)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,current_failures,catalog_failures,logical_name,reason_class, reason) 
        VALUES (f,j,st,src,dst,fl,cf,ctf,l,r,rs);
END;

-- Main
BEGIN
	-- Set Records
    test_create_file(10000401,'10000000-0000-0000-0000-000000000401','Active'   ,'srm://host.cern.ch:8443/tmp/src1.txt','srm://host.infn.it:8443/tmp/dst1.txt');
END;
/
